package common.item.tool;

import common.entity.npc.EntityNPC;
import common.item.ItemControl;
import common.item.ItemMagnetic;
import common.item.ItemStack;
import common.util.BlockPos;
import common.world.World;

public class ItemCamera extends ItemMagnetic {
	public ItemCamera() {
		this.setMaxAmount(1);
	}
	
	public boolean onAction(ItemStack stack, EntityNPC player, World world, ItemControl control, BlockPos block) {
		if(control == ItemControl.SECONDARY) {
	        if(!world.client)
	        	world.playAuxSFX(1024, new BlockPos(player.posX, player.posY + player.getEyeHeight(), player.posZ), 0);
	        return true;
		}
		return false;
    }

//	public final boolean canUseInAir() {
//		return true;
//	}
    
//    public boolean ignoresBlocks() {
//        return true;
//    }
    
    public boolean isFirstPerson() {
        return false;
    }
}
